Summary:	The Universal Plug and Play (UPnP) SDK for Linux
Summary(pl.UTF-8):	Pakiet programistyczny Universal Plug and Play (UPnP) dla Linuksa
Name:		libupnp
Version:	1.14.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
# Source0-md5:	be649223f0cf781aff2316e20eaac225
Patch0:		%{name}-opt.patch
Patch1:		%{name}-openssl.patch
URL:		http://pupnp.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and
bridges that are compliant with Version 1.0 of the Universal Plug and
Play Device Architecture Specification.

%description -l pl.UTF-8
Linuksowy pakiet programistyczny dla urządzeń UPnP (libupnp) dostarcza
programistom API i kod z otwartymi źródłami służące do tworzenia
punktów kontrolnych, urządzeń i mostków kompatybilnych z wersją 1.0
specyfikacji architektury urządzeń Universal Plug and Play.

%package devel
Summary:	Header files for libupnp
Summary(pl.UTF-8):	Pliki nagłówkowe libupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel
Conflicts:	libupnp1.6-devel

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(libupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (libupnp).

%package static
Summary:	Static upnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki upnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	libupnp1.6-static

%description static
Static upnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki upnp.

%package apidocs
Summary:	API documentation for upnp libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek upnp
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for upnp libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek upnp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# LFS is required in library clients (including examples)
%{__sed} -i -e '/^Cflags/ s/$/ -D_FILE_OFFSET_BITS=64/' libupnp.pc.in
%{__sed} -i -e '/^AM_CPPFLAGS =/ s/= /= -D_FILE_OFFSET_BITS=64 /' upnp/sample/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-open-ssl \
	--disable-silent-rules
%{__make}
%{__make} -C docs docs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libixml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixml.so.11
%attr(755,root,root) %{_libdir}/libupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libupnp.so.17

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libixml.so
%attr(755,root,root) %{_libdir}/libupnp.so
%{_libdir}/libixml.la
%{_libdir}/libupnp.la
%{_includedir}/upnp
%{_pkgconfigdir}/libupnp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libixml.a
%{_libdir}/libupnp.a

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/
%changelog
* Sun Aug 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libupnp.git;a=log;h=master

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> e4cc968
- rel 1

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> 90f28cc
- Merge remote-tracking branch 'origin/DEVEL-1.12' into master

* Thu Aug 27 2020 Jan Palus <atler@pld-linux.org> fb01205
- add C: for libupnp1.6

* Wed Aug 26 2020 Jan Palus <atler@pld-linux.org> 9c3c3c9
- fractional release until legacy apps are handled

* Wed Aug 26 2020 Jan Palus <atler@pld-linux.org> 8f319c8
- up to 1.14.0

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 22e21b7
- updated to 1.12.0 (new libupnp soname)
- added openssl patch (fix for 1.1.x), enable openssl support

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> da998ec
- updated to 1.10.1 (new sonames)

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> bf63022
- updated to 1.8.6

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> dcfbcc0
- updated to 1.8.4 (ABI and API incompatible with 1.6.x)

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> e44fac5
- updated to 1.6.25
- separated -apidocs (html instead of pdf in this upstream release)

* Sat Jan 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5b73143
- Update to 1.6.21 (fixes: CVE-2016-6255, CVE-2016-8863)

* Thu Sep 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 620ab43
- updated to 1.6.20
- removed obsolete glibc-string patch

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> b3347e2
- do not redefine strndup from glibc
- rel 2

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> f7057e6
- updated to 1.6.19 (1.6.18 fixed: CVE-2012-5958 CVE-2012-5959 CVE-2012-5960 CVE-2012-5961 CVE-2012-5962 CVE-2012-5963 CVE-2012-5964 CVE-2012-5965)

* Wed Jul 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> dd1fcf4
- updated to 1.6.17

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 4ad8cb8
- updated to 1.6.14

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> c3b9a65
- updated to 1.6.13

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 14514a7
- opt patch is back (updated)

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> c3eda8b
- Up to 1.6.12
- Bumped so version
Removed patch applied upstream

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e535bf
- package THANKS

